﻿namespace GSMock.Config
{
    using System.Configuration;

    public class CollectionElement : ConfigurationElement
    {
        [ConfigurationProperty("name", IsRequired = true, IsKey = true)]
        public string Name
        {
            get
            {
                return this["name"] as string;
            }
        }

        [ConfigurationProperty("file", IsRequired = true)]
        public string File
        {
            get
            {
                return this["file"] as string;
            }
        }
    }
}
